Bug 973662 - [abrt] system-config-printer-libs-1.4.1-6.fc19: jobviewer.py:686:toggle_window_display:ValueError: too many values to unpack
[abrt] system-config-printer-libs-1.4.1-6.fc19: jobviewer.py:686:toggle_windo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:562780d75d61f5f6518b725411b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 09:01 EDT by Daniel Bossert
Modified: 2013-07-23 23:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.1-8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 23:26:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (582 bytes, text/plain)
2013-06-12 09:01 EDT, Daniel Bossert
no flags Details
File: environ (726 bytes, text/plain)
2013-06-12 09:01 EDT, Daniel Bossert
no flags Details

  None (edit)
Description Daniel Bossert 2013-06-12 09:01:08 EDT
Description of problem:
I did cancel a print-job.

Version-Release number of selected component:
system-config-printer-libs-1.4.1-6.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/share/system-config-printer/scp-dbus-service.py
core_backtrace: 47d523b1399aa0ce86dd60ad8007ed4fa207482c 0x2ae toggle_window_display /usr/share/system-config-printer/jobviewer.py -
executable:     /usr/share/system-config-printer/scp-dbus-service.py
kernel:         3.9.1-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
jobviewer.py:686:toggle_window_display:ValueError: too many values to unpack

Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 686, in toggle_window_display
    (s, area, o) = self.statusicon.get_geometry ()
ValueError: too many values to unpack

Local variables in innermost frame:
aw: None
self: <JobViewer object at 0x1299550 (jobviewer+JobViewer at 0xc4c920)>
visible: True
force_show: False
w: <gtk.gdk.X11Window object at 0x12e61e0 (GdkX11Window at 0x16bc170)>
icon: <StatusIcon object at 0x13044b0 (GtkStatusIcon at 0x15d9e30)>
Comment 1 Daniel Bossert 2013-06-12 09:01:13 EDT
Created attachment 760136 [details]
File: backtrace
Comment 2 Daniel Bossert 2013-06-12 09:01:17 EDT
Created attachment 760137 [details]
File: environ
Comment 3 Tim Waugh 2013-06-12 10:07:40 EDT
Fixed upstream in commit 250704d.
Comment 4 Daniel Bossert 2013-06-24 05:03:30 EDT
Problem exists also in system-config-printer-libs-1.4.1-7.fc19
Comment 5 Fedora Update System 2013-07-02 08:55:07 EDT
system-config-printer-1.4.1-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.1-8.fc19
Comment 6 Fedora Update System 2013-07-02 21:36:21 EDT
Package system-config-printer-1.4.1-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.1-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12150/system-config-printer-1.4.1-8.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-07-23 23:26:46 EDT
system-config-printer-1.4.1-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.